• English
  • Initiate refund

    Request path

    /api/v2/payment/merchant/refund

    Request parameters

    NameTypeLengthRequiredDescription
    appIdString32yesMerchant AppId
    orderldString32yesThe unique Order Number of the merchant refund form, which can be used to query the refund results.
    orginOrderldString32yesOriginal order number of the merchant, orders that need refund
    amountLong-yesRefund amount (minimum unit measurement), partial refund is supported.
    payeeNameString50noName of the payee (If not passed, the default value is unknown) If needed, please contact BD for authorization
    payeeBankCodeString50noBank or MMO code of the payee If needed, please contact BD for authorization
    payeeBankAccNoString50noBank account or MoMo account of the payee. The account number is purely numeric, with no spaces or special characters. If needed, please contact BD for authorization
    payeeEmailString50noPayee email. For Pakistan, please fill in this field.
    payeePhoneString50noPlease fill in this field in Pakistan. Payee phone number in the international format, starting with the country code, e.g. 023301234567890
    notifyUrlString200noTransaction result callback address for receiving message notifications of changes to refund result information. If not filled, the notifyUrl of the original order will be used by default
    remarkString200noNote information

    Returned value

    NameTypeLengthRequiredDescription
    orderNoString32yesPalmPay internal order number
    orderIdString32yesThe merchant's unique order number can be used to check transaction results
    orderStatusInteger20yesRefund order status
    sessionIdString128noChannel Response Parameters. Note: Most of the non-NIBSS channels do not return sessionId, if there is any problem with this type of order, you need to provide the order number to PalmPay to confirm the actual arrival of the payee.
    messageString500yesStatus description information
    currencyString10yesCurrency
    amountLong20yesRefund amount(minimum unit)

    Error Code

    Error Code

    Postman example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/refund' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime": 1662171389940,
        "version": "V1.1",
        "nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "appId":"Lxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
        "originOrderId":"e7c3784d5e2242fc00afe89ac1234",
        "orderId":"testc9ffae997fc1",
        "amount":1000,
        "notifyUrl":"https://xx.cn/callback/payment",
        "remark":"test"
    }'

    response

    {
        "respCode": "00000000",
        "respMsg": "success",
        "data": {
            "orderNo": "2424220903032435363613",
            "orderId": "testc9ffae997fc1",
            "orderStatus": 1,
            "message": "success",
            "currency": "NGN",
            "amount": 1000
        }
    }